
ChiliProject - Bug # 1138: Context menu not working on IE9 or IE10

Status: Closed Priority: Normal
Author: Mike Williams Category: User interface
Created: 2012-09-07 Assignee:
Updated: 2012-10-05 Due date:
Remote issue URL:
Affected version:
Description: I've recently installed ChiliProject 3.3.0.080c5b63c on Centos 6.3 running on Apache.

I've migrated all of my data from Trac, and everything appears to be working ok except for the context menu 
on issue lists when viewing in IE9 or IE10. This isn't a big deal to me personally (I can easily use Chrome or 
FF when working with ChiliProject), but some of my clients who will be using this system are locked into IE.
The same lists work fine when viewed in Chrome or Firefox.
However, when I view the list in Internet Explorer, the context menu does not appear when I right click on the 
the issue. Instead, the default IE context menu pops up.
The strange thing is that when I view issue lists on ChiliProject.org, the context menu works.
I found an old issue #419 here at ChiliProject that mentions this problem, but from what I can tell, this was 
fixed back in 2.x.
As far as I can tell, I'm running the latest code (downloaded 2 days ago) and everything else is working as 
expected.
Is it possible I have something mis-configured in Apache, or did I miss something during the installation 
process?

Any advice or tips would be greatly appreciated.
Thanks,
Mike

History
2012-09-07 10:46 am - Mike Williams
I almost forgot to add the details of my Rails environment:

$ RAILS_ENV=production ruby script/about
NOTE: Gem.source_index is deprecated, use Specification. It will be removed on or after 2011-11-01.
Gem.source_index called from /home/chili/.rvm/gems/ree-1.8.7-2012.02/gems/rails-2.3.14/lib/rails/gem_dependency.rb:21.
About your application's environment
Ruby version              1.8.7 (x86_64-linux)
RubyGems version          1.8.24
Rack version              1.1.3
Rails version             2.3.14
Active Record version     2.3.14
Active Resource version   2.3.14
Action Mailer version     2.3.14
Active Support version    2.3.14
Application root          /home/chili/chiliproject
Environment               production
Database adapter          postgresql
Database schema version   20120320220031

About your Redmine plugins
Redmine Close Button plugin   0.0.8
Redmine Graphs plugin         0.1.0
Redmine Light Box plugin      0.0.1
$

2012-09-08 10:44 am - Andrew Smith
I've tested this locally in IE9 and am able to see the context menu. Is it possible to share a link to your installation?

The context menu is JS only and so should work no matter your server setup.

2012-09-10 06:22 pm - Mike Williams
I have created a sandbox project and user on my system that you can work with.
If you need more access to the system (either as an admin on Chili, or access to the chili user on the Linux box) please contact me directly and I will 
make it happen.

The userid and password for the sandbox user is "sandbox"/"sandbox".

Here is a link to the issues list for the sandbox project: https://chili.ddsw.com/projects/sandbox/issues

Thanks,

Mike

2012-10-05 07:29 pm - Mike Williams
- Status changed from Open to Closed

This appears to have been a problem with plugins on some of my machines.  On freshly installed machines, this is working fine. 
Closing the issue.
